QGIS Application - Bug report #18568
QGIS shows 0 instead of NULL in identify result pane for WFS properties of type int
2018-03-28 06:27 PM - Michael Haertel

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.18.14 Regression?: No

Operating System: Windows 7 64 Bit Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 26456
Description

create a spatial DB table in POSTGIS and define a DB field as Integer type
leave the field empty and publish that Featureclass as a WFS service (I used GeoServer 2.13.0)
- Open QGIS and connect to the WFS Service using version 2.0

- Load the FeatureClass in QGIS and visualize it (drag the FeatureClass to the layer pane)

- Use the identify tool and click on a feature with a NULL value for an integer property ("xsd:int")

- Look at the query result pane: The value shows 0 instead of NULL
Some checks:

- In the DescribeFeatureType response the integer property is listed as "<xsd:element maxOccurs="1" minOccurs="0"
name="bundesland_id" nillable="true" type="xsd:int" />"

- In the DescribeFeatureType response the double property is listed as "<xsd:element maxOccurs="1" minOccurs="0"
name="costs_deployment" nillable="true" type="xsd:double" />"

- Empty DOUBLE properties ("xsd:double") are shown correctly as NULL in Query Results pane

- In the resulting XML from the GetFeature request, all properties with NULL values are correctly suppressed as of WFS specification

- The FeatureClass is returned correctly from the WFS service when the Filter "<fes:PropertylsNull>" on the integer field is used

History

#1 - 2018-05-31 12:06 PM - Even Rouault
- Status changed from Open to Feedback

Looks like a duplicate of https://issues.qgis.org/issues/18674 , which | can't replicate

Can you replicate your issue with QGIS dev ?

#2 - 2018-08-16 02:18 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback.
